Manuel de l'utilisateur de pamdice(1)

NOM
pamdice – Découper une image en plusieurs, horizontalement et/ou verticalement

EXEMPLE

Dans ces exemples, monimage.ppm est une image de 10 000 pixels de large et 8 000 pixels de haut.

     $ pamdice monimage.ppm -width=1000 -height=1000 -outstem=monimage_part      $ pamundice monimage_part_%1d_%1a.ppm -across=10 -down=8 >monimage.ppm

    $ pamdice monimage.ppm -height=1000 -voverlap=90 -outstem=monimage_part

    $ pamdice monimage.ppm -width=1000 -height=1000 -outstem=monimage_part \         -listfile=tuiles.txt     $ pamundice -across=10 -down=8 -listfile=tuiles.txt >monimage.ppm

    $ pamdice monimage.ppm -width=1000 -height=1000 -outstem=monimage_part \         -indexfile=tuiles.pam     $ pamundice monimage_part_%1d_%1a.ppm -indexfile=tuiles.pam >monimage.ppm

SYNOPSIS

pamdice

-outstem=base_nom_fichier

[-outsuffix=suffixe_nom_fichier]

[-width=largeur]

[-height=hauteur]

[-hoverlap=chevauchement_h]

[-voverlap=chevauchement_v]

[-numberwidth=N]

[-listfile=nom_fichier_texte]

[-indexfile=nom_fichier_pam

[-dry-run]

[-verbose]

[nom_fichier]

Les abréviations minimales uniques des options sont autorisées. Un double tiret au lieu d’un seul peut être utilisé. Un blanc peut être utilisé au lieu du signe égal pour séparer un nom d’option de sa valeur.

DESCRIPTION

Ce programme fait partie de Netpbm(1).

pamdice lit une image PAM, PBM, PGM ou PPM comme entrée et la divise horizontalement et/ou verticalement en découpes de tailles égales, et écrit celles-ci dans des fichiers séparés du même type d’image. Ces découpes peuvent éventuellement se chevaucher.

Consulter l’option -outstem pour des informations sur le nommage des fichiers de sortie.

Les options -width et -height déterminent la taille des découpes produites.

pamundice(1) peut réassembler les images. Pour un contrôle plus fin, pamcat(1) peut être utilisé.

Une utilisation de ce programme consiste à obtenir des découpes qui nécessitent moins de ressources de traitement par un ordinateur que pour le traitement de l’image entière. Par exemple, une image peut être si grande qu’un éditeur d’image ne peut la lire entièrement en mémoire ou ne peut la traiter que très lentement. Avec pamdice, cette image peut être morcelée en découpes plus petites, ces dernières éditées une à la fois, puis cette image peut être réassemblée.

Une autre utilisation de ce programme consiste à imprimer une image large par petites découpes de taille adaptée à l’imprimante pouvant être collées ensemble. ppmglobe(1) fait une chose similaire ; il permet de coller des découpes sur une sphère.

Pour réaliser une découpe d’image particulière, mais pas selon une grille régulière, utilisez pamcut.

OPTIONS

En plus des options communes à tous les programmes basés sur libnetpbm (tout particulièrement -quiet, consulter Common Options (index.html#commonoptions) ), pamdice reconnait les options de ligne de commande suivantes :

-outstem=base_nom_fichier
    Cette option détermine le nom des fichiers de sortie. Chaque fichier de sortie est appelé base_nom_fichier_y_x.type où base_nom_fichier est la valeur de l’option -outstem, x et y sont les positions horizontale et verticale, respectivement, dans l’image d’entrée de l’image de sortie, zéro étant le coin gauche supérieur, et type est .pbm, .pgm, .ppm ou .pam selon le type de l’image.

    x et y débutent par des zéros de façon que le nom soit de la même largeur pour chaque fichier de sortie. L’option -numberwidth permet de préciser cette largeur, sinon cette largeur sera celle qui convient à tous les fichiers. Par exemple, pour 25 découpes et pas d’option -numberwidth, x est composé de 2 chiffres pour tous les fichiers de sortie. La découpe la plus à gauche est numérotée « 00 », la suivante est « 01 » et ainsi de suite. Avec -numberwidth=3, x est « 000 », « 001 », etc.

    Il est possible de modifier le suffixe de type de fichier avec l’option -outsuffix.

-outsuffix=suffixe_nom_fichier
    Cette option indique le suffixe pour les noms de fichier de sortie. pamdice n’ajoute pas de point.

    Exemple : -outsuffix=.pnm

    Par défaut, c’est le suffixe approprié au type d’image, par exemple, « .ppm ».

    Cette option est apparue dans Netpbm 11.11 (juin 2025).

-numberwidth=N
    Cette option détermine la largeur des nombres dans le nom des fichiers de sortie. Consulter l’option -outstem pour les détails.

    Il n’est pas autorisé d’indiquer une valeur inférieure à ce qui est nécessaire pour représenter toutes les tranches.

    Cette option est apparue dans Netpbm 11.10 (mars 2025).

-width=largeur
    Cette option indique la largeur en pixels des images de sortie. Les découpes les plus à droite seront plus petites si la largeur de l’image d’entrée n’est pas un multiple de cette largeur.

    Si elle n’est pas précisée, par défaut, c’est la largeur complète de l’image. C’est-à-dire que pamdice ne découpe pas verticalement.

-height=hauteur
    Cette option indique la hauteur en pixels des images de sortie. Les découpes les plus basses seront plus petites si la hauteur de l’image d’entrée n’est pas un multiple de cette hauteur.

    Si elle n’est pas précisée, par défaut, c’est la hauteur complète de l’image. C’est-à-dire que pamdice ne découpe pas horizontalement.

-hoverlap=chevauchement_h
    Cette option indique le chevauchement horizontal en pixels pour les images de sortie. Chaque image dans une colonne chevauchera celle de la colonne précédente de chevauchement_h pixels. Par défaut, il n’y a pas de chevauchement.

    Cette option est apparue dans Netpbm 10.23 (juillet 2004).

-voverlap=chevauchement_v
    Cette option indique le chevauchement vertical en pixels pour les images de sortie. Chaque image dans une rangée chevauchera celle de la rangée précédente de chevauchement_v pixels. Par défaut, il n’y a pas de chevauchement.

    Cette option est apparue dans Netpbm 10.23 (juillet 2004).

-listfile=nom_fichier_texte
    Cette option fait que le programme génère un fichier listant les noms de tous les fichiers de tuile qu’il crée. C’est une liste triée par rangée. Par exemple,

    $ pamdice -width=100 -height=100 -outstem=monimage_part -listfile=maliste.txt \ -numberwidth=3 monimage.ppm

    pour une image 200x200, génère le fichier maliste.txt contenant ceci :

           monimage_part_000_000.ppm     monimage_part_000_001.ppm     monimage_part_001_000.ppm     monimage_part_001_001.ppm

    Ce fichier de liste peut être utilisé avec pamundice -listfile au lieu d’un argument de motif de nom de fichier d’entrée, ce qui peut éviter la difficulté de coordination des motifs utilisés dans les invocations de pamdice ou pamundice.

    Cette option est apparue dans Netpbm 11.10 (mars 2025).

-indexfile=nom_fichier_pam
    Cette option fait que le programme génère un fichier contenant une image PAM qui indique les numéros de rang et de fichier des tuiles. C’est simplement une image dont la largeur et la hauteur sont le numéro des découpes horizontales et verticales, respectivement, dans laquelle chaque doublet est simplement les numéros de rangée et de colonne de ce doublet. Par exemple, si pamdice produit trois découpes horizontalement et deux verticalement, l’image ressemble à ceci :

            (0,0) (0,1) (0,2)
            (1,0) (1,1) (1,2)

    La profondeur de l’image est 2, le type de doublet est « grid_coord » (un type de doublet inventé pour être utilisé avec pamdice et pamundice), et la valeur maximale est 255 à moins que la hauteur ou la largeur soit supérieure à 256, auquel cas c’est 65535.

    Cette image peut être utile comme entrée pour pamundice, particulièrement après des transformations de cette image. Le premier exemple d’utilisation est le retournement d’une grande image. Il est possible de découper l’image avec pamdice, puis retourner chacune des tuiles produites (avec pamflip(1)), puis retourner l’image des indices (toujours avec pamflip), puis utiliser pamundice avec les tuiles retournées et l’image des indices retournée pour générer une version retournée de la grande image originelle.

    Cette option est apparue dans Netpbm 11.10 (mars 2025).

-dry-run
    Cette option fait que pamdice ne crée pas les images de tuile de sortie. Il crée toujours le fichier de liste (avec l’option -listfile) et le fichier d’indices (avec l’option -indexfile) et contrôle la plupart des erreurs.

    Cette option est apparue dans Netpbm 11.10 (mars 2025).

-verbose
    Cette option affiche des informations de traitement sur la sortie standard d’erreur.

HISTORIQUE

pamdice est apparu dans Netpbm 9.25 (mars 2002).

Avant Netpbm 10.29 (août 2005), une limite de 100 découpes existait dans chaque direction et les noms de fichier de sortie utilisaient deux chiffres pour le numéro de découpe.

VOIR AUSSI
pamundice(1), pamcut(1), pamcat(1), pgmslice(1), ppmglobe(1), pamflip(1), pnm(1), pam(1)

SOURCE DU DOCUMENT
Cette page de manuel a été générée par l'outil « makeman » de Netpbm depuis une source HTML. La documentation principale est à

    http://netpbm.sourceforge.net/doc/pamdice.html

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.